package ro.ieval.unical;

import java.util.Date;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.TextView;

public class DisplayEventActivity extends Activity {
	public static final String EXTRA_EVENT = "event";

	public static void displayEvent(final Context context, final Event event){
		final Intent i=new Intent(context,DisplayEventActivity.class);
		i.putExtra(DisplayEventActivity.EXTRA_EVENT, event);
		context.startActivity(i);
	}

	@Override
	protected void onCreate(final Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		final Event e=getIntent().getParcelableExtra(EXTRA_EVENT);
		setContentView(R.layout.event_view);
	    final TextView eventTitle= (TextView) findViewById(R.id.eventTitle);
		final TextView date=(TextView) findViewById(R.id.date);
		final TextView description=(TextView) findViewById(R.id.description);
		final TextView location= (TextView) findViewById(R.id.location);
		eventTitle.setText(e.title);
		date.setText(new Date(e.dtstart).toString());
		description.setText(e.description);
		location.setText(e.eventLocation);
	}
	
	@Override
	public boolean onCreateOptionsMenu(final Menu menu) {
		final MenuInflater inflater = getMenuInflater();
	    inflater.inflate(R.menu.event, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(final MenuItem item) {
	    // Handle item selection
	    switch (item.getItemId()) {
	        case R.id.NewEvent:
	        	final Intent i=new Intent(this,AddEventActivity.class);
				startActivity(i);
	            return true;
	        case R.id.deleteevent:
	        	final DeleteEventDialog d=new DeleteEventDialog();
	        	d.show(getFragmentManager(), "Delete");
	        	return true;
	        default:
	            return true;
	    }
	}
}
